clear
% 
centerX = 360; centerY = 288;
%  ,  ,    
%  720576 aspect = 30/28 = 1.0714,     
blocksizeX = 28; blocksizeY = 30;
%  .  !  !
blocksX = 24; blocksY = 18;
% 
minYlevel = 16; maxYlevel = 235;
minClevel = 16; maxClevel = 240;
zeroClevel = (minClevel + maxClevel)/2;
razmahY = maxYlevel - minYlevel; razmahC = maxClevel - minClevel;
level375 = 0.375*razmahY + minYlevel;
level750 = 0.75*razmahY + minYlevel;
%   ( )
fs = 13.5;
%   
bf = blackman(6);
%    
Y(1:720,1:576)=minYlevel;
CR(1:360,1:576)=zeroClevel;
CB(1:360,1:576)=zeroClevel;
%   .  37.5%/75%.   
% Blackman(6)
tmpX1 = centerX - blocksizeX * blocksX/2;
tmpY1 = centerY - blocksizeY * blocksY/2;
tmpX2 = centerX + blocksizeX * blocksX/2 + 1;
tmpY2 = centerY + blocksizeY * blocksY/2 + 1;
Y(tmpX1:tmpX2,tmpY1:tmpY2) = level375;
%  
for i = tmpX1:blocksizeX:720
    for i1 = tmpY1:1:tmpY2
        Y((i-1):(i+2),i1) = bf(2:5)*(level750-level375)+level375;
    end
end
%  
for i = tmpY1:blocksizeY:576
    Y(tmpX1:tmpX2,i:(i+1)) = level750;
end

%  
aviwrite(Y,CR,CB);

